package com.usky.dxtop.controller.web;

import com.usky.dxtop.common.core.domain.AjaxResult;
import com.usky.dxtop.common.core.domain.model.LoginBody;
import com.usky.dxtop.framework.web.service.SysLoginService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * 登录
 * @author yq
 * @date 2021/9/17 11:08
 */
@RestController
public class ApiLoginController {


    @Autowired
    private SysLoginService loginService;

    /**
     * 登录方法
     *
     * @param loginBody 登录信息
     * @return 结果
     */
    @PostMapping("/loginApi")
    public AjaxResult login(@RequestBody LoginBody loginBody)
    {
        // 生成令牌
        String token = loginService.login(loginBody.getUsername(), loginBody.getPassword(), loginBody.getCode(),
                loginBody.getUuid(),false);
        return AjaxResult.success(token);
    }
}
