package com.usky.dxtop.controller.web;

import com.usky.dxtop.common.core.domain.AjaxResult;
import com.usky.dxtop.model.StaffRadio;
import com.usky.dxtop.service.StaffRadioService;
import com.usky.dxtop.service.StaffService;
import com.usky.dxtop.service.vo.StaffRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author yq
 * @date 2021/9/23 13:34
 */
@RestController
@RequestMapping("/dxtop/staff")
public class StaffController {

    @Autowired
    private StaffRadioService staffRadioService;

    @Autowired
    private StaffService staffService;

    /**
     *
     * @return
     */
    @RequestMapping("count")
    public AjaxResult count(){
        return AjaxResult.success(staffService.count());
    }


    /**
     * 批量新增
     * @param list
     * @return
     */
    @PostMapping()
    public AjaxResult addList(@RequestBody List<StaffRadio> list){
        staffRadioService.addList(list);
        return AjaxResult.success();
    }

    /**
     * 人员比例
     * @return
     */
    @GetMapping("staffRadio")
    public AjaxResult staffRadio(){
        return AjaxResult.success(staffRadioService.staffRadio());
    }

    @PostMapping("page")
    public AjaxResult page(@RequestBody StaffRequest staffRequest){
        return AjaxResult.success(staffService.page(staffRequest));
    }

}
