package com.usky.dxtop.service.impl;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.mapper.StaffMapper;
import com.usky.dxtop.model.Staff;
import com.usky.dxtop.service.StaffService;
import com.usky.dxtop.service.vo.StaffRequest;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author yq
 * @since 2021-09-28
 */
@Service
public class StaffServiceImpl extends ServiceImpl<StaffMapper, Staff> implements StaffService {

    @Override
    public CommonPage<Staff> page(StaffRequest staffRequest) {
        IPage<Staff> page = new Page<>(staffRequest.getCurrent(), staffRequest.getSize());
        page = baseMapper.page(page, staffRequest.getStartTime(), staffRequest.getEndTime(), staffRequest.getName());
        return new CommonPage<>(page.getRecords(),page.getTotal(),page.getCurrent(),page.getSize());
    }
}
